## org.eclipse.datatools.sqltools.debugger.breakpoint
Class SPLineBreakpoint

    java.lang.Object
      LineBreakpoint
          org.eclipse.datatools.sqltools.debugger.breakpoint.SPLineBreakpoint

All Implemented Interfaces:
  ISPBreakpoint

public class SPLineBreakpoint
extends LineBreakpoint
implements ISPBreakpoint

Representing a line breakpoint in a `Routine`. This class is not intended to be subclassed.

Author:
  Yang Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `ATTR_PROCIDENTIFIER` Marker attribute key contant for rountine object identifier.
`static java.lang.String` `MARKER_TYPE` The maker type associated with this breakpoint.

Constructor Summary
`SPLineBreakpoint()`
`SPLineBreakpoint(ProcIdentifier procId, int lineNumber, boolean enabled)`

Method Summary
`java.lang.String` `getCondition()`
`java.lang.String` `getModelIdentifier()`
`ProcIdentifier` `getProcIdentifier()` Returns the associated `Routine` identifier.
`boolean` `isConditionEnabled()`
`void` `setCondition(java.lang.String condition)`
`void` `setConditionEnabled(boolean enabled)`
`void` `setLineNumber(int number)`
`void` `setProcId(java.lang.String encodedProc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARKER_TYPE

    public static final java.lang.String MARKER_TYPE

  The maker type associated with this breakpoint.

### ATTR_PROCIDENTIFIER

    public static final java.lang.String ATTR_PROCIDENTIFIER

  Marker attribute key contant for rountine object identifier.

Constructor Detail

### SPLineBreakpoint

    public SPLineBreakpoint()

### SPLineBreakpoint

    public SPLineBreakpoint(ProcIdentifier procId,
                            int lineNumber,
                            boolean enabled)
                     throws DebugException

Method Detail

### setConditionEnabled

    public void setConditionEnabled(boolean enabled)
                             throws CoreException

  Throws:
    `CoreException`

### isConditionEnabled

    public boolean isConditionEnabled()
                               throws CoreException

  Throws:
    `CoreException`

### getCondition

    public java.lang.String getCondition()

### setCondition

    public void setCondition(java.lang.String condition)
                      throws CoreException

  Throws:
    `CoreException`

### setLineNumber

    public void setLineNumber(int number)
                       throws CoreException

  Throws:
    `CoreException`

### getModelIdentifier

    public java.lang.String getModelIdentifier()

### getProcIdentifier

    public ProcIdentifier getProcIdentifier()
                                     throws CoreException

  Description copied from interface: `ISPBreakpoint`
  Returns the associated `Routine` identifier.

  Specified by:
    `getProcIdentifier` in interface `ISPBreakpoint`
  Returns:
    `ProcIdentifier` representing a `Routine`
  Throws:
    `CoreException`

### setProcId

    public void setProcId(java.lang.String encodedProc)
                   throws CoreException

  Throws:
    `CoreException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.